<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/profile.css">
    <title>Viridis</title>
</head>
<body >
  <!-- nav start -->
  <nav class="navbar navbar-expand-md navbar-light border-bottom p-0 ps-5">
    <div class="container">
        <a class="navbar-brand" href="#">
            <span class="text-coperate-color fw-bold fs-3">Gcit-Quora</span>
        </a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ">
                <li class="nav-item border-main-color">
                    <a class="nav-link" href="#">
                        <svg class="text-coperate-color" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24" fill="currentColor"><path d="M0 0h24v24H0z" fill="none"/><path d="M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z"/></svg>                       
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="resources.html">
                        <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" viewBox="0 0 24 24" fill="currentColor"><g><path d="M0,0h24v24H0V0z" fill="none"/></g><g><path d="M16,3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V8L16,3z M19,19H5V5h10v4h4V19z M7,17h10v-2H7V17z M12,7H7 v2h5V7z M7,13h10v-2H7V13z"/></g></svg>
                        <span class="position-relative me-auto">
                            <!-- <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle"> -->
                                <span class="visually-hidden">Resources</span>
                            <!-- </span> -->
                        </span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="question.html">
                        <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24"  viewBox="0 0 24 24" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                        <span class="position-relative">
                            <!-- <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"> -->
                                
                                <span class="visually-hidden">Post</span>
                            <!-- </span> -->
                        </span>
                    </a>
                </li>

                
            </ul>

            <form class="d-flex">
                <input class="form-control me-2 search-icon" type="search" placeholder="Search Quoraa" aria-label="Search">
            </form>

           

            <ul class="navbar-nav px-3 ">
                <li class="nav-item">
                    <a class="nav-link" href="myprofile.html">
                        <img class="profile rounded-circle " src="img/profileimg.png">
                    </a>
                </li>


        

            </ul>

              <div class="btn-group">
                <a  data-bs-toggle="modal" data-bs-target="#myModal" id="button1" type="button" class="btn btn-sm bg-coperate-color rounded-pill fw-bold text-light">Add question</a>
            
              </div>
              

        </div>
        
    </div>
</nav>
<!-- end of nav -->

<!--start  fetching resources -->

        <div class="bg-light pt-4">
            <div class="container mb-5">
                <div class="row">
                    <div class="col-7">
                        <div class="bg-white border-gray">
                            <div class="row">
                                <div class="col">
                                  
                                </div>

                            </div>
                        </div>
                        <div class="bg-white  mt-4">
                            <div class="d-flex pt-2">
                                <div class="col d-flex">
                                    <img class="post-profile rounded-circle " src="img/profileimg.png">
                                    <div class="d-flex flex-column">
                                        <span class="fw-bold fs-6">Kalu Ram Ghalley</span>
                                        <span class="text-gray-darker fs-6">UI/UX Designer</span>
                                    </div>
                                </div>
                                <div class="p-2 text-gray-darker">
                                    <button class="btn rounded-circle hover-dark p-1">
                                        <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
                                    </button>
                                </div>
                            </div>

                            <!-- fetchin start -->
                            <div class="cards " >
                                <main class="main ">
                                    <div class="container ">
                                    </div>
                                </main>
                            </div>
                            <!-- fetchin end -->


                        </div>
                    </div>
                </div>
            </div>
        </div>

       
<!--end  fetching resources -->

       
<!-- crud start -->
        <!-- Edit Modal HTML -->
	<div id="editEmployeeModal" class="modal fade">
		<div class="modal-dialog">
			<div class="modal-content">
				<form>
					<div class="modal-header">						
						<h4 class="modal-title">Edit Item Lists</h4>
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					</div>
					<div class="modal-body">					
						<div class="form-group">
							<label>Title</label>
							<input type="text" class="form-control" id="edit-name" name="title" required>
						</div>
						<div class="form-group">
							<label>Description</label>
							<input type="text" class="form-control" id="edit-quantity" name="description" required>
						</div>			
                        <div class="form-group">
                            <label>Image</label>
                            <input type="file" class="form-control-file" name="edit-image" id="edit-image" accept="image/*" required>
                        </div>
					</div>
					<div class="modal-footer">
						<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
						<input type="submit" class="btn btn-info" value="Save" id="editModalSaveButton">
					</div>
				</form>
			</div>
		</div>
	</div>

    	<!-- Delete Modal HTML -->
	<div id="deleteEmployeeModal" class="modal fade">
		<div class="modal-dialog">
			<div class="modal-content">
				<form>
					<div class="modal-header">						
						<h4 class="modal-title">Delete Item Lists</h4>
						<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
					</div>
					<div class="modal-body">					
						<p>Are you sure you want to delete these Records?</p>
						<p class="text-warning"><small>This action cannot be undone.</small></p>
					</div>
					<div class="modal-footer">
						<input type="button" class="btn btn-default" data-dismiss="modal" value="Cancel">
						<input type="submit" class="btn btn-danger" value="Delete" id="deleteModalConfirmButton">
					</div>
				</form>
			</div>
		</div>
	</div>


<!-- starttyyyyyyy -->

    <div class="bg-light pt-4">
        <div class="container mb-5">
            <div class="row">
                <div class="col-7">
                    <div class="bg-white border-gray" >
                        <div class="row">
                            <div class="col">

                            </div>
                        </div>

                    </div>

                    
                    <div class="bg-white border-gray mt-4">
                        <div class="d-flex pt-2">
                            <div class="col d-flex">
                                <img class="post-profile rounded-circle " src="img/profileimg.png">
                                <div class="d-flex flex-column">
                                    <span class="fw-bold fs-6">Kalu Ram Ghalley</span>
                                    <span class="text-gray-darker fs-6">UI/UX Designer</span>
                                </div>
                            </div>
                            <div class="p-2 text-gray-darker">
                                <button class="btn rounded-circle hover-dark p-1">
                                    <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><path d="M0 0h24v24H0V0z" fill="none"/><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12 19 6.41z"/></svg>
                                </button>
                            </div>
                        </div>
                        <div class="post-body pt-2 ps-3">
                            <div class="post-title fw-bold">
                                <a class="text-decoration-none text-black" href="#">
                                    What is the difference between UX and UI?
                                </a>    
                            </div>
                            <div class="post-text pt-1">
                                In digital design, user interface (UI) refers to the interactivity, look, and feel of a product 
                                screen or web page, while user experience 
                                (UX) covers a user's overall experience with the product or website.
                            </div>
                        </div>
                        <div class="post-image pt-2">
                            <img class="img-fluid" src="img/uiux.png">
                        </div>
                        <div class="post-footer p-2">
                            <div class="btn-group" role="group" aria-label="Basic example">
                                <button type="button" class="post-button post-button-bg border-0 rounded-circle text-black p-1">
                                    <svg xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" height="24px" viewBox="0 0 24 24" width="24px" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                                    3
                                </button>
                            </div>
                            <button type="button" class="post-button post-button-bg border-0 rounded-circle text-black p-1">
                                <img src="img/comment.png" width="25" class="p-1">
                                123
                            </button>
                        </div>
                    </div>
                    <!-- end of Post display  -->
                </div>
            </div>
        </div>
    </div>
    <!-- endddddddddd -->
<!-- crud end -->

  
</body>


<!-- start of script for tecching the resources -->
<script>
    document.addEventListener('DOMContentLoaded', () => {
        const cardContainer = document.querySelector('.cards .main');

        // Fetch data from the API
        fetch('/api/v1/item/get-item')
            .then((response) => {
                if (response.ok) {
                    return response.json(); // Parse the response as JSON
                } else {
                    throw new Error('Network response was not ok');
                }
            })
            .then((data) => {
                let currentRow;

                data.forEach((item, index) => {
            // Create a new row after every 3 cards (as per your code's condition)
            if (index % 3 === 0) {
                currentRow = document.createElement('div');
                currentRow.classList.add('row');
                cardContainer.appendChild(currentRow);
                cardContainer.style.borderBottom = "1px solid #ddd"
            }

            // Create card element
            const card = document.createElement('div');
            card.classList.add('pcard');
            card.style.marginBottom = '50px'
            // card.style.border = '1px solid #ddd'; // Define border
           // Optional: Add border radius for rounded corners
            // card.style.boxShadow = '0 4px 8px rgba(0, 0, 0, 0.1)'; // Add shadow


            // Title element
            const title = document.createElement('h2');
            title.textContent = item.title;
            card.appendChild(title);

            // Description element
            const description = document.createElement('p');
            description.textContent = item.description;
            card.appendChild(description);


            // Image element
            const image = document.createElement('img');
            image.src = `${item.image}`;
            image.alt = 'Item Image';
            image.classList.add('img-fluid'); // Add the Bootstrap img-fluid class
            card.appendChild(image);

          

       
            // Create a cell to hold the edit button
            const cell6 = document.createElement('p'); // This could be any element you want to act as a cell
            cell6.classList.add('edit-cell');
            card.appendChild(cell6);

            const editButton = document.createElement('a');
                editButton.href = '#editEmployeeModal';
                editButton.className = 'edit';
                editButton.setAttribute('data-toggle', 'modal');
                editButton.innerHTML = '<i class="material-icons" data-toggle="tooltip" title="Edit">EDIT;</i>';
                editButton.addEventListener('click', () => {
                    // Store the selected item for editing
                    selectedItem = item;

                    // Populate the edit form with the current data
                    document.getElementById('edit-name').value = item.title;
                    document.getElementById('edit-quantity').value = item.description;

                    // Show the modal and focus on the first input field
                    $('#editEmployeeModal').modal('show');
                document.getElementById('edit-name').focus();
            });

            cell6.appendChild(editButton);

            // Append the card to the current row
            currentRow.appendChild(card);

            // Delete button
            const deleteButton = document.createElement('a');
                deleteButton.href = '#deleteEmployeeModal';
                deleteButton.className = 'delete';
                deleteButton.setAttribute('data-toggle', 'modal');
                deleteButton.innerHTML = '<i class="material-icons" data-toggle="tooltip" title="Delete">DELETE;</i>';
                deleteButton.addEventListener('click', () => {
                    selectedItem = item; // Store the selected item for deletion
                });
                cell6.appendChild(deleteButton);
            });
            })
            .catch((error) => {
                console.error('Error fetching data: ', error);
            });

             // Handle the edit and delete actions
            const editModalSaveButton = document.querySelector('#editModalSaveButton');
            const deleteModalConfirmButton = document.querySelector('#deleteModalConfirmButton');

            editModalSaveButton.addEventListener('click', () => {
                if (selectedItem) {
                  const itemId = selectedItem._id; // Assuming your item object has an '_id' property
                  const editedData = {
                    title: document.getElementById('edit-name').value,
                    description: document.getElementById('edit-quantity').value,
                    // Retrieve the edited image file
                    image: document.querySelector('#edit-image').files[0] 
                  };

                  const formData = new FormData();
                  formData.append('title', editedData.title);
                  formData.append('description', editedData.description);
                  formData.append('image', editedData.image);

                  fetch(`/api/v1/item/update-item/${itemId}`, {
                    method: 'PUT',
                    body: formData
                  })
                    .then((response) => {
                      if (response.ok) {
                        alert('Item updated successfully!');
                        $('#editEmployeeModal').modal('hide');
                        // Refresh the table here (re-fetch and update the table data)
                      } else {
                        console.error('Item update failed.');
                      }
                    })
                    .catch((error) => {
                      console.error('Network error:', error);
                    });
                }
              });

            // Delete Action
            deleteModalConfirmButton.addEventListener('click', () => {
                if (selectedItem) {
                const itemId = selectedItem._id; // Assuming your item object has an '_id' property

                fetch(`/api/v1/item/deleteItem/${itemId}`, {
                    method: 'DELETE',
                })
                    .then((response) => {
                    if (response.ok) {
                        alert('Item deleted successfully!');
                        $('#deleteEmployeeModal').modal('hide');
                        // Refresh the table here (re-fetch and update the table data)
                    } else {
                        console.error('Item deletion failed.');
                    }
                    })
                    .catch((error) => {
                    console.error('Network error:', error);
                    });
                }
            });
    });
</script>

<!-- end of script for tecching the resources -->




<!-- <script type="module" src="./js/uploadNext.js"></script> -->
<!-- <script src="js/displaypost.js"></script> -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"></script>
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<!-- jQuery -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

<!-- Your custom script -->
<script>
  // Your custom code using Bootstrap features
</script>

</html>


